/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.sikd5.sikd5bean.query;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * @author : agus
 * @tanggal : Nov 7, 2018
 */
public class InfoPengiriman implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	String jenisInfo;
	String kodeSatker;
	String kodePemda;
	String namaPemda;
	Short tahunAnggaran;
	Short periode;
	String namaPeriode;
	Date tglPengiriman;
	Short statusData;
	Short kodeData;
	Short jenisCoa;
	String namaAplikasi;
	String pengembangAplikasi;
	String versiSinergi;
	int uploadKe;
	int penyusunanKe;

	public String getJenisInfo() {
		return jenisInfo;
	}

	public void setJenisInfo(String jenisInfo) {
		this.jenisInfo = jenisInfo;
	}

	
	public String getKodeSatker() {
		return kodeSatker;
	}

	public void setKodeSatker(String kodeSatker) {
		this.kodeSatker = kodeSatker;
	}

	public String getKodePemda() {
		return kodePemda;
	}

	public void setKodePemda(String kodePemda) {
		this.kodePemda = kodePemda;
	}

	public String getNamaPemda() {
		return namaPemda;
	}

	public void setNamaPemda(String namaPemda) {
		this.namaPemda = namaPemda;
	}

	public Short getTahunAnggaran() {
		return tahunAnggaran;
	}

	public void setTahunAnggaran(Short tahunAnggaran) {
		this.tahunAnggaran = tahunAnggaran;
	}

	public String getNamaPeriode() {
		return namaPeriode;
	}

	public void setNamaPeriode(String namaPeriode) {
		this.namaPeriode = namaPeriode;
	}

	public Short getPeriode() {
		return periode;
	}

	public void setPeriode(Short periode) {
		this.periode = periode;
	}

	public Date getTglPengiriman() {
		return tglPengiriman;
	}

	public void setTglPengiriman(Date tglPngiriman) {
		this.tglPengiriman = tglPngiriman;
	}

	public Short getStatusData() {
		return statusData;
	}

	public void setStatusData(Short statusData) {
		this.statusData = statusData;
	}

	public Short getKodeData() {
		return kodeData;
	}

	public void setKodeData(Short kodeData) {
		this.kodeData = kodeData;
	}

	public Short getJenisCoa() {
		return jenisCoa;
	}

	public void setJenisCoa(Short jenisCoa) {
		this.jenisCoa = jenisCoa;
	}

	public String getNamaAplikasi() {
		return namaAplikasi;
	}

	public void setNamaAplikasi(String namaAplikasi) {
		this.namaAplikasi = namaAplikasi;
	}

	public String getPengembangAplikasi() {
		return pengembangAplikasi;
	}

	public void setPengembangAplikasi(String pengembangAplikasi) {
		this.pengembangAplikasi = pengembangAplikasi;
	}

	public String getVersiSinergi() {
		return versiSinergi;
	}

	public void setVersiSinergi(String versiSinergi) {
		this.versiSinergi = versiSinergi;
	}

	public Integer getUploadKe() {
		return uploadKe;
	}

	public void setUploadKe(int uploadKe) {
		this.uploadKe = uploadKe;
	}
	

	public Integer getPenyusunanKe() {
		return penyusunanKe;
	}

	public void setPenyusunanKe(int penyusunanKe) {
		this.penyusunanKe = penyusunanKe;
	}

	public String getInfoString() {
		String result = "";
		result = jenisInfo + " ";
		result += (namaPemda == null ? "Data Kosong" : namaPemda) + "\n";
		result += "Tahun Anggaran :" + (tahunAnggaran == null ? "" : tahunAnggaran) + "\n";
		result += "Periode : " + (namaPeriode == null ? "periode : " : namaPeriode + (periode == null ? "" : periode))
				+ "\n";
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
//                ParsePosition pos = new ParsePosition(0);
		String tgl = "";
		if (tglPengiriman != null) {
			tgl = sdf.format(tglPengiriman);
		}

		result += "Jenis Data : " + (kodeData == null ? "" : (kodeData == 1 ? "Apbd Murni" : "Apbd Perubahan")) + "\n";
		result += "Jenis COA : " + (jenisCoa == null ? "" : jenisCoa == 2 ? "Permen 64" : "Permen 13") + "\n";
		result += "Penyusunan Ke : " + (penyusunanKe == 00 ? "" : penyusunanKe) + "\n";
		result += "Tanggal Pengiriman : " + tgl + "\n";
		result += "Nama Aplikasi : " + (namaAplikasi == null ? "" : namaAplikasi) + "\n";
		result += "Pengembang Aplikasi : " + (pengembangAplikasi == null ? "" : pengembangAplikasi) + "\n";
		if (uploadKe != 0) {
			result += "Upload Ke : " + uploadKe + "\n";
		}
		String status = "";
		if (statusData == null) {
			status = "";
		} else if (statusData == 0) {
			status = "Belum Siap Verifikasi";

		} else if (statusData == 1) {
			status = "Siap Verifikasi";
		} else if (statusData == 2) {
			status = "Proses Verifikasi";
		} else if (statusData == 3) {
			status = "Selesai Verifikasi";
		}
		result += "Status Data : " + status;

		return result;
	}

}
